#
# spec file for package tar (Version 1.15.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           tar
URL:            http://www.gnu.org/software/tar/
License:        GPL v2 or later
Group:          System/Base
Provides:       base:/bin/tar
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        1.15.1
Release:        42.5
Summary:        GNU implementation of tar ( (t)ape (ar)chiver )
Source0:        %name-%version.tar.bz2
Source1:        tar.1
Patch0:         tar-1.15-no-no.diff
Patch1:         tar-testfix.diff
Patch2:         tar-disable-listed02-test.diff
Patch3:         tar-1.15.1-gcc4.diff
Patch4:         tar-1.15.1-testsuite.diff
Patch5:         tar-1.15.1-largefiles.diff
Patch6:         tar-1.15.1-heapOverflow.patch
Patch7:         tar-1.15.1-CVE-2006-6097.patch
Patch8:         tar-1.15.1-CVE-2001-1267.patch
Patch9:         tar-paxlib-owl-alloca.patch	
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _bindir  /bin

%description
This package normally also includes the program "rmt", which provides
remote tape drive control. Since there are compatible versions of 'rmt'
in either the 'star' package or the 'dump' package, we didn't put 'rmt'
into this package. If you are planning to use the remote tape features
provided by tar you have to also install the 'dump' or the 'star'
package.



Authors:
--------
    Melissa O'Neill <oneill@cs.sfu.ca>
    Bruno Haible <haible@clisp.cons.org>
    Dale Worley <worley@ariadne.com>
    David J. MacKenzie <djm@gnu.org>
    Franois Pinard <pinard@iro.umontreal.ca>
    Gerhard Poul <gpoul@gnu.org>
    Jay Fenlason <hack@ai.mit.edu>
    Jeff Dairiki <dairiki@dairiki.org>
    Jim Kingdon <kingdon@ai.mit.edu>
    Joy Kendall <jak@hobbes>
    Machael Stone <mstone@cs.loyola.edu>
    Michael I Bushnell <mib@gnu.org>
    Noah Friedman <friedman@gnu.org>
    Paul Eggert <eggert@twinsun.com>
    Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
    The King <elvis@gnu.org>
    Tom Tromey <tromey@drip.colorado.edu>

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p0
%patch9 -p0

%build
rm -f po/no.*
autoreconf -fi
%define my_cflags -W -Wall -Wpointer-arith -Wstrict-prototypes -Wformat-security -Wno-unused-parameter
export CFLAGS="$RPM_OPT_FLAGS %my_cflags"
export RSH="/usr/bin/rsh"
./configure --prefix=%_prefix --bindir=%_bindir --mandir=%_mandir \
	    --infodir=%_infodir --build=%{_target_cpu}-suse-linux
make
%ifarch %arm
make check || true
%else
make check
%endif

%install
mkdir -p $RPM_BUILD_ROOT%_mandir
mkdir $RPM_BUILD_ROOT%_mandir/man1
make install DESTDIR=$RPM_BUILD_ROOT
install -m 0644 %SOURCE1  $RPM_BUILD_ROOT%_mandir/man1/
rm -r %buildroot/usr/libexec

%files
%defattr(-, root, root)
%_bindir/tar
%doc README* ABOUT-NLS AUTHORS COPYING NEWS THANKS ChangeLog PORTS TODO

%_infodir/tar.info*.gz
%_mandir/man1/tar.1.gz
%_datadir/locale/*/LC_MESSAGES/tar.mo

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 21 2007 - mkoenig@suse.de
- use of alloca can cause stack overflow [#301416], SWAMP-ID 12541
* Wed Aug 15 2007 - hvogel@suse.de
- fixed another directory traversal vulnerability, CVE-2001-1267,
  CVE-2002-0399, #299738
* Tue Dec 05 2006 - mkoenig@suse.de
- fix directory traversal vulnerability, CVE-2006-6097
  SWAMP ID 7320
* Mon Jul 24 2006 - rguenther@suse.de
- Do not build-depend on rsh, but provide the RSH environment.
* Mon Feb 27 2006 - kssingvo@suse.de
- fixed buffer overflow issue CVE-2006-0300 (bugzilla#151516)
- not affected: traversal bug CVE-2005-1918 (bugzilla#145081)
* Sat Feb 18 2006 - aj@suse.de
- Fix build.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 01 2005 - mmj@suse.de
- Add patch from upstream for fixing sparse files > 4GB [#114540]
* Fri Jun 24 2005 - schwab@suse.de
- Fix broken test.
* Fri Apr 08 2005 - uli@suse.de
- ignore test suite fails on ARM
* Wed Mar 09 2005 - mmj@suse.de
- Make gcc4 happy
* Tue Feb 01 2005 - mmj@suse.de
- Disable test that breaks on reiserfs due to that filesystems
  limitations. Tar works fine on reiserfs.
* Tue Dec 21 2004 - mmj@suse.de
- Update to 1.15.1 which fixes a bug introduced in 1.15 which caused
  tar to refuse to extract files from standard input.
* Tue Dec 21 2004 - mmj@suse.de
- Update to tar-1.15 including:
- Features:
  o Compressed archives are recognised automatically, it is no
  longer necessary to specify -Z, -z, or -j options to read
  them.  Thus, you can now run `tar tf archive.tar.gz'.
  o When restoring incremental dumps, --one-file-system option
  prevents directory hierarchies residing on different devices
  from being purged. With the previous versions of tar it was
  dangerous to create incremental dumps with --one-file-system
  option, since they would recursively remove mount points when
  restoring from the back up. This change fixes the bug.
  o Renamed --strip-path to --strip-components for consistency with
  the GNU convention.
  o Skipping archive members is sped up if the archive media supports
  seeks.
  o Restore script starts restoring only if it is given --all (-a)
  option, or some patterns. This is to prevent accidental restores.
  o `tar --verify' prints a warning if during archive creation some of
  the file names had their prefixes stripped off.
  o New option --exclude-caches instructs tar to exclude cache
  directories automatically on archive creation. Cache directories
  are those containing a standardized tag file, as specified at:
  http://www.brynosaurus.com/cachedir/spec.html
  o New configure option --with-rmt allows to specify full path
  name to the `rmt' utility. This supercedes DEFAULT_RMT_COMMAND
  variable introduced in version 1.14
  o New configure variable DEFAULT_RMT_DIR allows to specify the
  directory where to install `rmt' utility. This is necessary
  since modifying --libexecdir as was suggested for version 1.14
  produced a side effect: it also modified installation prefix
  for backup scripts (if --enable-backup-scripts was given).
- Bugfixes:
  o Fixed flow in recognizing files to be included in incremental dumps.
  o Correctly recognize sparse archive members when used with -T option.
  o GNU multivolume headers cannot store filenames longer than
  100 characters.  Do not allow multivolume archives to begin
  with such filenames.
  o If a member with link count > 2 was stored in the archive twice,
  previous versions of tar were not able to extract it, since they
  were trying to link the file to itself, which always failed and
  lead to removing the already extracted copy. Preserve the first
  extracted copy in such cases.
  o Restore script was passing improper argument to tar --listed
  option (which didn't affect the functionality, but was
  logically incorrect).
  o Fixed verification of created archives.
  o Fixed unquoting of file names containing backslash escapes (previous
  versions failed to recognize \a and \v).
  o When attempting to delete a non-existing member from the
  archive, previous versions of tar used to overwrite last
  archive block with zeroes.
* Mon Aug 09 2004 - mmj@suse.de
- Add patch from snwint with long filename fix [#43538]
* Sun May 30 2004 - mmj@suse.de
- Update to 1.14 which is the first stable release of tar
  since 1999.
* Thu Apr 15 2004 - mmj@suse.de
- Fix detection of remote paths [#38709]. Thanks Jrgen!
* Tue Apr 13 2004 - mmj@suse.de
- Update to 1.13.94 including fix for [#16531]
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - ro@suse.de
- build with current gettext
* Thu May 15 2003 - pthomas@suse.de
- Remove unneeded files from build root.
- Add autoconf tests to properly guard K&R prototypes
- Clean up signed/unsigned compares.
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Mon Nov 18 2002 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION to configure.ac
* Thu Aug 01 2002 - ro@suse.de
- add acinclude.m4 with missing macros
* Tue Jun 04 2002 - pthomas@suse.de
- Make tar a package of its own.
- Update to tar-1.13.25.
- Make tar man page a seperate file instead of part of the patch.
- Patch de.po to reflect the addition of the --bunzip2 parameter
- Use AC_LIBOBJ instead of LIBOBJS
* Wed May 22 2002 - olh@suse.de
- allow build as user, use buildroot
* Fri Feb 08 2002 - werner@suse.de
- Fix bug #12797: back to builtin behaviour, the widly used -I for
  bunzip2 can be reenabled with the environment var TAROLDOPT4BZIP2
* Mon Dec 17 2001 - werner@suse.de
- draht@suse.de: package rsh is needed for build of tar(1) to
  enable rsh remote command execution.
  two successive execl() calls to /usr/bin/rsh with different
  args/remote commands do not make sense since the first execl() is
  successful if /usr/bin/rsh exists. Check for existence of /etc/rmt
  on the remote side and execute it, else exec /sbin/rmt . (#12605)
- Use one contstant string for command line
* Tue Nov 20 2001 - werner@suse.de
- Add rsh to needeforbuild to be sure that remote shell for remote
  backup will be found.
* Wed Aug 01 2001 - werner@suse.de
- Make /etc/rmt versus /sbin/rmt switch dynamic.
* Tue Mar 27 2001 - werner@suse.de
- Fix man page of tar (#6741)
* Thu Dec 14 2000 - werner@suse.de
- Update to tar 1.13.18
  * should avoid some crashes
  * avoid exclude file list problem
* Fri Nov 26 1999 - kukuk@suse.de
- Add tar.1 to file list
- Remove obsolete entries from file list
- Build tar with locale support
